using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Designers.Controls;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Designers
{
    public class NodeDesigner : Designer<Node>
    {
        internal ProgramDesignerControl programDesignerControl;

        public NodeDesigner(Node node) : base(node)
        {
            CreateDesignerControl(node);
        }

        public virtual void CreateDesignerControl(Node node)
        {
            control = new NodeDesignerControl(node);
            control.Location = node.designerData.Bounds.Location;
            control.Size = node.designerData.Bounds.Size;
        }
    }
}
